// -----------------------------------------------------------------------------
// This file contains all styles related to the layout of the site/application.
// -----------------------------------------------------------------------------

body {

}

.main {
	position: relative;
	overflow: hidden;
}

.wrp {
	width: 100%;
	margin: 0 auto;
	padding-left: 24px;
	padding-right: 24px;
	box-sizing: border-box;
}

.pt--large { padding-top: 200px; }
.pb--large { padding-bottom: 200px; }

.pt--medium { padding-top: 120px; }
.pb--medium { padding-bottom: 120px; }

.pt--small { padding-top: 80px; }
.pb--small { padding-bottom: 80px; }


.img-wrp {
	position: relative;
	overflow: hidden;
	width: 100%;

	&:before {
		content: '';
		display: block;
		margin-top: 74.5519%;
	}

	img {
		position: absolute;
		top: 0;
		width: 100%;
		height: 100%;
		object-fit: cover;
	}
}

.img-wrp--vertical {
	
	&:before {
		margin-top: 148%;
	}
}

.img-wrp--background {
	position: absolute;
	top: 0;
	
	&:before {
		margin-top: 60.55555%;
	}
}

.img-wrp--big {
	
	&:before {
		margin-top: 54.8780%;
	}
}


.layout {
	overflow: hidden;
}

	.row {
		display: table;
		width: calc(100% + 48px);
		margin-left: -24px;
		margin-right: -24px;
		margin-bottom: 20px;
	}

		.column--1 {
			width: 100%;
		}

		[class^="column--"],
		[class*=" column--"] {
			box-sizing: border-box;
			min-height: 20px;
			padding-left: 24px;
			padding-right: 24px;
			float: left;

			.card {
				display: block;
				background-color: #fafafa;
				border: 1px solid #cacaca;
				width: 100%;
				min-height: 40px;
			}
		}

		.column--1-2 { width: 50%; }

		.column--1-3 { width: (100 / 3)*1%; }
		.column--2-3 { width: (100 / 3)*2%; }

		.column--1-4 { width: (100 / 4)*1%; }
		.column--2-4 { width: (100 / 4)*2%; }
		.column--3-4 { width: (100 / 4)*3%; }

		.column--1-5 { width: (100 / 5)*1%; }
		.column--2-5 { width: (100 / 5)*2%; }
		.column--3-5 { width: (100 / 5)*3%; }
		.column--4-5 { width: (100 / 5)*4%; }

		.column--1-6 { width: (100 / 6)*1%; }
		.column--2-6 { width: (100 / 6)*2%; }
		.column--3-6 { width: (100 / 6)*3%; }
		.column--4-6 { width: (100 / 6)*4%; }
		.column--5-6 { width: (100 / 6)*5%; }

		.column--1-7 { width: (100 / 7)*1%; }
		.column--2-7 { width: (100 / 7)*2%; }
		.column--3-7 { width: (100 / 7)*3%; }
		.column--4-7 { width: (100 / 7)*4%; }
		.column--5-7 { width: (100 / 7)*5%; }
		.column--6-7 { width: (100 / 7)*6%; }

		.column--1-8 { width: (100 / 8)*1%; }
		.column--2-8 { width: (100 / 8)*2%; }
		.column--3-8 { width: (100 / 8)*3%; }
		.column--4-8 { width: (100 / 8)*4%; }
		.column--5-8 { width: (100 / 8)*5%; }
		.column--6-8 { width: (100 / 8)*6%; }
		.column--7-8 { width: (100 / 8)*7%; }

		.column--1-9 { width: (100 / 9)*1%; }
		.column--2-9 { width: (100 / 9)*2%; }
		.column--3-9 { width: (100 / 9)*3%; }
		.column--4-9 { width: (100 / 9)*4%; }
		.column--5-9 { width: (100 / 9)*5%; }
		.column--6-9 { width: (100 / 9)*6%; }
		.column--7-9 { width: (100 / 9)*7%; }
		.column--8-9 { width: (100 / 9)*8%; }

		.column--1-10 { width: (100 / 10)*1%; }
		.column--2-10 { width: (100 / 10)*2%; }
		.column--3-10 { width: (100 / 10)*3%; }
		.column--4-10 { width: (100 / 10)*4%; }
		.column--5-10 { width: (100 / 10)*5%; }
		.column--6-10 { width: (100 / 10)*6%; }
		.column--7-10 { width: (100 / 10)*7%; }
		.column--8-10 { width: (100 / 10)*8%; }
		.column--9-10 { width: (100 / 10)*9%; }
		
		.column--1-11 { width: (100 / 11)*1%; }
		.column--2-11 { width: (100 / 11)*2%; }
		.column--3-11 { width: (100 / 11)*3%; }
		.column--4-11 { width: (100 / 11)*4%; }
		.column--5-11 { width: (100 / 11)*5%; }
		.column--6-11 { width: (100 / 11)*6%; }
		.column--7-11 { width: (100 / 11)*7%; }
		.column--8-11 { width: (100 / 11)*8%; }
		.column--9-11 { width: (100 / 11)*9%; }
		.column--10-11 { width: (100 / 11)*10%; }
		
		.column--1-12 { width: (100 / 12)*1%; }
		.column--2-12 { width: (100 / 12)*2%; }
		.column--3-12 { width: (100 / 12)*3%; }
		.column--4-12 { width: (100 / 12)*4%; }
		.column--5-12 { width: (100 / 12)*5%; }
		.column--6-12 { width: (100 / 12)*6%; }
		.column--7-12 { width: (100 / 12)*7%; }
		.column--8-12 { width: (100 / 12)*8%; }
		.column--9-12 { width: (100 / 12)*9%; }
		.column--10-12 { width: (100 / 12)*10%; }
		.column--11-12 { width: (100 / 12)*11%; }

	
	.row--flex {
		display: flex;
		flex-wrap: wrap;
	}



.section {

}

.section--inverse {
	background-color: $black;
	
	.text {
		color: $white;
	}
}


.section--clientes {

	.text {
		margin-bottom: 132px;
	}
}

.section-background {
	position: relative;

	.wrp {
		position: relative;
		z-index: 20;
	}

	.text {
		background-color: $white;
		padding: 54px 48px;
	}
}


.section--banner {
	background-color: $blue;

	.row {
		margin-bottom: 0;
	}

	.row--flex {
		align-items: center;
	}

	.text {

		.text__title {
			margin: 0;
		}

		> * {
			color: $white;
		}
	}

	.btn { float: right; }
}




.page--dark {
	background-color: $black;
}


/* ==========================================================================
   $MEDIA-QUERIES
   ========================================================================== */


/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(medium) {

	.wrp {

	}

	.column--vacio {
		width: 0;
		padding: 0;
	}

}



/* SMALL MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(small) {


}



/* SMALLER MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(xsmall) {


}



/* TABLET LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(medium) {


}



/* TABLET LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(medium, large) {

	.wrp {
		
	}

}



/* DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(large) {

	.wrp {
		width: 1344px;
		padding-left: 24px;
		padding-right: 24px;
	}

	.wrp--medium {
		width: 1058px;
	}
}



/* DESKTOP LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(large, xlarge) {

	
}



/* BIG DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xlarge) {

	.wrp {
		
	}
}



/* BIGER DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xxlarge) {

	.wrp {

	}
}




/* ==========================================================================
   $RETINA@2X
   ========================================================================== */

@include device-pixel-ratio(2) {


}



/* ==========================================================================
   $RETINA@3X
   ========================================================================== */

@include device-pixel-ratio(3) {

	
}
